using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExternalDataSync
{
    public class msgWork
    {
        /// <summary>
        /// 工厂编码
        /// </summary>
        public string site
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 工作中心
        /// </summary>
        public string workCenter
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 订单号

        /// </summary>
        public string orderCode
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 工单号

        /// </summary>
        public string workOrderCode
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 工单性质

        /// </summary>
        public string nature
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 产品编码

        /// </summary>
        public string proCode
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 产品名称

        /// </summary>
        public string proName
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 工艺路线编码

        /// </summary>
        public string routeCode
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 工艺路线版本

        /// </summary>
        public string routeVer
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 产品状态

        /// </summary>
        public string productState
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 是否注油

        /// </summary>
        public string isOiling
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 是否喷漆

        /// </summary>
        public string isPainting
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 生产方式

        /// </summary>
        public string produceType
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 优先级

        /// </summary>
        public string priority
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 生产数量

        /// </summary>
        public string qty
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 追溯码类型

        /// </summary>
        public string serialOrlor
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 追溯码状态

        /// </summary>
        public string HasProduSerial
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 追溯码信息

        /// </summary>
        public string numCode
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 生产日期

        /// </summary>
        public string planDate
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 生产班次

        /// </summary>
        public string proShift
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 生产顺序

        /// </summary>
        public string seqNo
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 计划开始时间

        /// </summary>
        public string planStartDate
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 计划结束时间

        /// </summary>
        public string planEndDate
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 批次号

        /// </summary>
        public string batchNo
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 操作标示

        /// </summary>
        public string flag
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 序号

        /// </summary>
        public string sn
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 时间戳
        /// </summary>
        public string markTime
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 日期

        /// </summary>
        public string markDate
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 
        /// </summary>
        public List<msgTask> msgTaskList
        {
            get;
            set;
        } = new List<msgTask> ();

    }
}
